/*

EDITs in _globallogic script: 
	Line 122:
		level.onScriptCommand = ::blank; // CoD4X script command callback
		
	Line 168 - 174:
		// CoD4X script command callback
		Callback_ScriptCommand(command, arguments)
		{
			waittillframeend;
			
			self notify( "cmd_executed", command, arguments );
		}

	Line 3780:
		thread code\init::startGameType();

EDITs in _callbacksetup script:
	Line 113:
		level.callbackScriptCommand = maps\mp\gametypes\_globallogic::Callback_ScriptCommand;
		
	Line 141 - 148:
		CodeCallback_ScriptCommand(command, arguments)
		{
			[[level.callbackScriptCommand]]( command, arguments );
		}
		
*/
startGameType()
{
	thread code\scriptcommands::init();
	thread onPlayerConnect();
}

onPlayerConnect()
{
	for(;;)
	{
		level waittill( "connected", player );
		
		player thread initialSetup();
		player thread code\scriptcommands::commandHandler();
	}
}

initialSetup()
{
	self endon( "disconnect" );

	if( !isDefined( self.pers[ "fullbright" ] ) )
	{
		self.pers[ "fullbright" ] = self getStat( 3160 );
		self.pers[ "fov" ] = self getStat( 3161 );
		self.pers[ "promodTweaks" ] = self getStat( 3162 );
	}
	
	self waittill( "spawned_player" );
	
	switch( self.pers[ "fov" ] )
	{
		case 0:
			self setClientDvar( "cg_fovscale", 1.0 );
			self setClientDvar( "cg_fov", 80 );
			break;
		case 1:
			self setClientDvar( "cg_fovscale", 1.125 );
			self setClientDvar( "cg_fov", 80 );
			break;
		case 2:
			self setClientDvar( "cg_fovscale", 1.25 );
			self setClientDvar( "cg_fov", 80 );
			break;
		default:
			break;
	}
	
	if( self.pers[ "fullbright" ] == 1 )
		self setClientDvar( "r_fullbright", 1 );
	
	if( self.pers[ "promodTweaks" ] == 1 )
		self SetClientDvars( "r_filmTweakInvert", "0",
                     	     "r_filmTweakBrightness", "0",
                     	     "r_filmusetweaks", "1",
                     	     "r_filmTweakenable", "1",
                      	     "r_filmtweakLighttint", "0.8 0.8 1",
                       	     "r_filmTweakContrast", "1.2",
                       	     "r_filmTweakDesaturation", "0",
                       	     "r_filmTweakDarkTint", "1.8 1.8 2" );
}